function myfilename = getSafeFilename(filename, subjectName)

rootdir = setrootdir(filename);
myfilename = [rootdir 'Data\' filename 'Results_' subjectName '.mat'];
if exist(myfilename)
    button = askquestion('File already exists. Overwrite?','Overwrite?','YES', 'NO', 'NO');
    if isequal(button,'NO')
        filename = 0;
        while isequal(filename,0)
            cd([rootdir 'Data']);
            [filename, pathname] = uiputfile('*.mat','Save results as', [filename '_' subjectName 'TEMP.mat']);
        end
        myfilename = fullfile(pathname, filename);
    end
end
disp(['Results will be saved in ' myfilename]);
