%This toolbox allows subjects to take a variety of tests, chosen from a
%menu displayed here.
%
%This program is part of the TexSyn Toolbox developed by David Eagleman,PhD
%eagleman@synesthete.org
%Full package freely downloadable from www.synesthete.org

programs={'GraphemeColor','GraphemeDisplay','GraphemeDisplayRedo',...
    'GraphemeContrastColor','GraphemeContrastDisplay',...
    'WeekdayColor','WeekdayDisplay','MonthColor','MonthDisplay',...
    'SoundColor','SoundDisplay',...
    'MemoryTest','CongruenceTest'};
[selection, ok] = listdlg('PromptString','Select a file:',...
    'SelectionMode','single',...
    'Name','Synesthesia Programs',...
    'ListString',programs);

if ok>0
    eval(programs{selection});
else
    disp('Invalid Choice');
end